libetonyek::IWORKFilteredImageElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKFilteredImageElement Class Reference

`#include <IWORKFilteredImageElement.h>`

Inheritance diagram for libetonyek::IWORKFilteredImageElement:

## Public Member Functions
| IWORKFilteredImageElement (IWORKXMLParserState &state, IWORKMediaContentPtr_t &content)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
IWORKMediaContentPtr_t & | m_content
boost::optional< ID_t > | m_unfilteredId
IWORKMediaContentPtr_t | m_unfiltered
IWORKMediaContentPtr_t | m_filtered
IWORKMediaContentPtr_t | m_leveled

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKFilteredImageElement()

libetonyek::IWORKFilteredImageElement::IWORKFilteredImageElement | ( | IWORKXMLParserState & | state,
|  | IWORKMediaContentPtr_t & | content )

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKFilteredImageElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKFilteredImageElement::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_content

IWORKMediaContentPtr_t& libetonyek::IWORKFilteredImageElement::m_content
| private

Referenced by endOfElement().

## ◆ m_filtered

IWORKMediaContentPtr_t libetonyek::IWORKFilteredImageElement::m_filtered
| private

Referenced by element(), and endOfElement().

## ◆ m_leveled

IWORKMediaContentPtr_t libetonyek::IWORKFilteredImageElement::m_leveled
| private

Referenced by element(), and endOfElement().

## ◆ m_unfiltered

IWORKMediaContentPtr_t libetonyek::IWORKFilteredImageElement::m_unfiltered
| private

Referenced by element(), and endOfElement().

## ◆ m_unfilteredId

boost::optional<ID_t> libetonyek::IWORKFilteredImageElement::m_unfilteredId
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKFilteredImageElement.h
- IWORKFilteredImageElement.cpp